TextOutputFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, class: TextOutputFormat

Package org.apache.hadoop.mapred

# Class TextOutputFormat<K,V>

java.lang.Object
org.apache.hadoop.mapred.FileOutputFormat<K,V>
org.apache.hadoop.mapred.TextOutputFormat<K,V>

All Implemented Interfaces:
  `OutputFormat<K,V>`

@Public @Stable public class TextOutputFormat<K,V> extends FileOutputFormat<K,V>
An `OutputFormat` that writes plain text files.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `org.apache.hadoop.mapred.TextOutputFormat.LineRecordWriter<K,V>`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat

  `FileOutputFormat.Counter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextOutputFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecordWriter<K,V>`
  `getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)`
  Get the `RecordWriter` for the given job.

  ### Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat

  `checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath, setWorkOutputPath`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextOutputFormat

    public TextOutputFormat()

- ## Method Details

  - ### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress) throws IOException
    Description copied from interface: `OutputFormat`
    Get the `RecordWriter` for the given job.
    Specified by:
      `getRecordWriter` in interface `OutputFormat<K,V>`
    Specified by:
      `getRecordWriter` in class `FileOutputFormat<K,V>`
      `job` - configuration for the job whose output is being written.
      `name` - the unique name for this part of the output.
      `progress` - mechanism for reporting progress while writing to file.
    Returns:
      a `RecordWriter` to write the output for the job.
    Throws:
      `IOException`